FireFox crashes on start-up [@0x14d4c20 - nsStandardURL::SetSpec][@ 0x0 - nsStandardURL::SetSpec]

RESOLVED INCOMPLETE

Status

()

--
critical
RESOLVED INCOMPLETE
10 years ago
3 years ago

People

(Reporter: SummerBulb, Assigned: prazak)

Tracking

({crash})

1.9.0 Branch
x86
Windows XP
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [needs reporter feedback], crash signature)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)
Build Identifier: 2008070208

FireFox version 3.0.1 crashes on start-up straight after installation.
fresh WinXP installation with Service pack 3.
Crash acours on safe mode too.

Reproducible: Didn't try

Steps to Reproduce:
1.install FireFox 3.0.1
2.
3.



Add-ons: {972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.1
BuildID: 2008070208
CrashTime: 1216510842
InstallTime: 1216508616
ProductName: Firefox
SecondsSinceLastCrash: 2121
StartupTime: 1216510841
Theme: classic/1.0
URL: 
UserID: 2b0734fa-c286-46ad-a02e-a2d29747685b
Vendor: Mozilla
Version: 3.0.1
Also in the safemode ?
provide a crash id, read http://www.mversen.de/crash/
(Reporter)

Comment 2

10 years ago
Yes. 
actually, the tecno info is from the safe mode crash.

Comment 3

10 years ago
Not confirmed on my windows vista install. we seem to be having some XP issues with 3.0.1.

Comment 4

10 years ago
I am going to attempt to confirm on Windows XP (SP3) with 3.0.1. 
(Reporter)

Comment 5

10 years ago
Prob still here after uninstall and reinstall.

Comment 6

10 years ago
Could not confirm on my XP.
Reporter: Please provide 1-3 crash IDs from about:crashes
(Reporter)

Comment 8

10 years ago
How can i provide ID crashes from about:crashes if FF does not load at all?

Comment 9

10 years ago
(In reply to comment #8)
> How can i provide ID crashes from about:crashes if FF does not load at all?

http://support.mozilla.com/en-US/kb/Mozilla+Crash+Reporter#Viewing_reports_outside_of_Firefox

(Reporter)

Comment 10

10 years ago
Report ID        	            Date Submitted 
f642ffc2-55e8-11dd-9f95-001a4bd43ed6	20/07/2008	02:18
10bf7173-55e5-11dd-b0e1-001cc45a2ce4	20/07/2008	01:50
d0b8311e-55de-11dd-a48b-001a4bd43e5c	20/07/2008	01:05
bd1ef759-55de-11dd-bb04-001a4bd43ed6	20/07/2008	01:05
b45a950c-55de-11dd-9391-001cc45a2ce4	20/07/2008	01:04

Note:
After doing the following steps:
1. installing FF2 (newest release) over the FF3.0.1 installation
2. uninstalling FF2
3. reinstalling FF3.0.1

FF3.0.1 now works.

Comment 11

10 years ago
Signature	@0x14d4c20
UUID	f642ffc2-55e8-11dd-9f95-001a4bd43ed6
Time	2008-07-19 17:17:49-07:00
Uptime	0
Product	Firefox
Version	3.0.1
Build ID	2008070208
OS	Windows NT
OS Version	5.1.2600 Service Pack 3
CPU	x86
CPU Info	GenuineIntel family 6 model 13 stepping 8
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0xffffffffffffffff
Comments	
Crashing Thread
Frame 	Module 	Signature 	Source
0 		@0x14d4c20 	
1 	xul.dll 	nsStandardURL::SetSpec 	mozilla/netwerk/base/src/nsStandardURL.cpp:1056
2 	xul.dll 	nsStandardURL::Init 	mozilla/netwerk/base/src/nsStandardURL.cpp:2523
3 	xul.dll 	xul.dll@0x7c0283 	

my guess is that mParser is bad.

http://developer.mozilla.org/en/docs/How_to_get_a_stacktrace_with_WinDbg

could you find out? set a breakpoint on the crashing code and step through it...
Component: Installer → Networking
Keywords: crash
Product: Firefox → Core
QA Contact: installer → networking
Summary: FireFox crashes on start-up → FireFox crashes on start-up [@0x14d4c20 - nsStandardURL::SetSpec]
Version: unspecified → 1.9.0 Branch
(Reporter)

Comment 12

10 years ago
The problem is gone on my PC. Will it still be effective?
I really have no idea baout that stuff, i'll have to learn.
Have you made any recent changes? What happened to make it go away?
(Reporter)

Comment 14

10 years ago
(In reply to comment #13)
> Have you made any recent changes? What happened to make it go away?

See comment #10.
Anyway, i had to reinstall my OS, so the hard drive has been formatted.
although, right before formatting, i came apon another crash, after repairing XP using the CD.
(Reporter)

Comment 15

10 years ago
After installing:
1. Win XP
2. Service pack 2
3. drivers
4. Visual C++ express 2005

FF 3.0.1 crashes right after installation in both regular mode and safe mode.
i'll try to provide some ID crashes.
(Reporter)

Comment 16

10 years ago
I've tried getting crash ID's using this link:
http://support.mozilla.com/en-US/kb/Mozilla+Crash+Reporter#Viewing_reports_outside_of_Firefox
(using 'run', since FF will not load)
I get the folder 'pending', but it contains only the information shown int the detail window of the crah report program.

Is that info od any use?

For now i will not try to repeat the steps in comment #10, so we can try and locate the problem. But since i am new at the mozilla project, and have never before built FF at all, i will need your directing.
Let me know.
(Reporter)

Comment 17

10 years ago
Is anyone still monitoring this bug?
Should i even try anything?
People, don't dissapear!
There is nothing to do for you, this bug must be confirmed (another user must hit the same problem). After that it will be possible fixed.
Just as an update Shmuel, i did attempt to reproduce this, with a fresh XP Home install on SP3, FF 3.0.1. Nothing happened. So, until someone else hits it, we will wait.
A user on live chat reported that this crash started immediately after installing AVG8

Crash reports:
bp-54316300-5d80-49c5-a6b8-822e20081113	11/13/2008	8:47 PM 
bp-229a7ad8-ed77-4d4c-9fb8-27be20081113	11/13/2008	8:30 PM 
bp-5b41aeaa-d6ec-4d85-b436-036420081113	11/13/2008	8:29 PM 
bp-1e39610c-e2fd-49b5-b434-711620081113	11/13/2008	8:28 PM 
bp-8e7e6236-3ba8-4167-ae8a-4cdc20081113	11/13/2008	8:22 PM 
bp-50e07486-3094-44cb-b027-d2c120081113	11/13/2008	8:21 PM 
bp-af7fe1b8-aa1b-435a-b697-b7b220081113	11/13/2008	7:24 AM 
bp-3b29325c-5111-4887-9007-97e920081113	11/13/2008	7:23 AM 
bp-ea915668-9abc-11dd-b255-001a4bd43ed6	10/15/2008	6:26 AM
Status: UNCONFIRMED → NEW
Ever confirmed: true
Matthew: The safemode didn't help ? Installing AVG8 installs an addon in Firefox..

Updated

10 years ago
Assignee: nobody → prazak
Summary: FireFox crashes on start-up [@0x14d4c20 - nsStandardURL::SetSpec] → FireFox crashes on start-up [@0x14d4c20 - nsStandardURL::SetSpec][@ 0x0 - nsStandardURL::SetSpec]
It crashed in safe mode.  The user created a new profile, which initially worked, but she e-mailed back and said that it is crashing again.
Shmuel, did you have AVG8 installed?

Updated

9 years ago
Whiteboard: [needs reporter feedback]
(Reporter)

Comment 24

9 years ago
(In reply to comment #23)
> Shmuel, did you have AVG8 installed?

That is very likely, although i'm not sure. It's been a while... :)
Can you go into your add remove programs and see if it is listed?
(Reporter)

Comment 26

9 years ago
(In reply to comment #25)
> Can you go into your add remove programs and see if it is listed?

That will be useless, of course. My system today is not the same one as the one i had when the FF crashed.
Anyway, i had AVG now, if that still meens anything.

Comment 27

8 years ago
is the conclusion then that this bug is invalid?
Crash Signature: [@0x14d4c20 - nsStandardURL::SetSpec] [@ 0x0 - nsStandardURL::SetSpec]
Status: NEW → RESOLVED
Crash Signature: [@0x14d4c20 - nsStandardURL::SetSpec] [@ 0x0 - nsStandardURL::SetSpec] → [@0x14d4c20 - nsStandardURL::SetSpec] [@ 0x0 - nsStandardURL::SetSpec]
Last Resolved: 3 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.